#ifndef MOBILE_SDK_API_MEM_MANAGER_H
#define MOBILE_SDK_API_MEM_MANAGER_H

#include "MobileSDK/common/Utils.h"
#include "MobileSDK/common/MemInterface.h"
#ifdef UBI_IOS
	#include <CoreFoundation/CoreFoundation.h>
	#include <CoreFoundation/CFBase.h>
#endif

#ifdef __cplusplus
extern "C"
{
#endif
	///
	/// Add an allocator and use it inside the MobileSDK
	/// @param  p_allocator The allocator to use
	///
	void MemManager_RegisterAllocator(msdk_MemInterface* p_allocator);

#ifdef __cplusplus
}
#endif
#endif // MOBILE_SDK_API_MEM_MANAGER_H
