#ifndef MOBILE_SDK_API_OPTIONAL_USER_INFO_H
#define MOBILE_SDK_API_OPTIONAL_USER_INFO_H

#include "MobileSDK/common/Utils.h"

///
/// Extras informations about a user
///
typedef struct msdk_OptionalUserInfo
{
	char_utf8*		firstName;		// Optional
	char_utf8*		lastName;		// Optional
	char_utf8*		locale;			// Optional
	char_utf8*		timezone;		// Optional
	char_utf8*		email;			// Optional
	char_utf8*		birthday;		// Optional
}msdk_OptionalUserInfo;

msdk_OptionalUserInfo*  OptionalUserInfo_Create();

msdk_OptionalUserInfo* OptionalUserInfo_Copy(msdk_OptionalUserInfo* p_optionalUserInfo);

void OptionalUserInfo_Release(msdk_OptionalUserInfo* p_optionalUserInfo);

#endif // MOBILE_SDK_API_OPTIONAL_USER_INFO_H
