#ifndef MOBILE_SDK_API_TRACKING_INTERFACE_H
# define MOBILE_SDK_API_TRACKING_INTERFACE_H

#include "MobileSDK/common/Utils.h"

typedef struct msdk_TrackingInterface
{
    void                    (*Init)();
    void                    (*TrackEvent)	(const char_utf8* p_eventId, const PointerArray_msdk_key_value* p_keyValues, msdk_s8 p_isTimed);
    void                    (*TrackTypedEvent)	(const char_utf8* p_eventId, const PointerArray_msdk_key_value* p_keyValues, const PointerArray_msdk_key_value_s32* p_keyValues_s32, const PointerArray_msdk_key_value_u32* p_keyValues_u32, const PointerArray_msdk_key_value_float* p_keyValues_float, msdk_s8 p_isTimed);
    void                    (*EndTimedEvent)	(const char_utf8* p_eventID, const PointerArray_msdk_key_value* p_keyValues);
    void                    (*Stop)();
    msdk_TrackingInterface* (*CreateInstance)();
}msdk_TrackingInterface;

#endif