#ifndef MOBILESDKPRIVATE_COMMON_DEVICEINFO
#define MOBILESDKPRIVATE_COMMON_DEVICEINFO
	#include "MobileSDK/common/DeviceInfo.h"

#ifdef MSDK_BUILD_LIB
	const msdk_FileContent*	GetConfigurationFile(const char_utf8* p_fileName);
#endif


#ifdef __cplusplus
extern "C"
{
#endif

	#ifdef MSDK_BUILD_LIB
		const char_utf8*		DeviceModel();
		const char_utf8*		DeviceBrand();
		const char_utf8*		DeviceOsVersion();
	    const char_utf8*        DeviceProxyName(const char_utf8* p_url);
	    msdk_s32                DeviceProxyPort();
	#endif

#ifdef __cplusplus
}
#endif

#endif // MOBILE_SDK_API_DEVICE_INFO_H
