#ifndef MOBILESDKPRIVATE_COMMON_REACHABILITY
#define MOBILESDKPRIVATE_COMMON_REACHABILITY
	#include "MobileSDK/common/Reachability.h"

#ifdef MSDK_BUILD_LIB
	#include "MobileSDKprivate/common/CriticalSection.h"

	struct ReachabilityParam
	{
	    const char_utf8* url;
	    msdk_u32        timeout;
	    msdk_s8         requestId;
	    bool            isReachable;
	    bool            requestEnded;
	    MobileSDKAPI::CriticalSectionStruct lock;
	};
#endif


#endif //MOBILESDK_REACHABILITY_H_
