#ifndef MOBILESDKPRIVATE_COMMON_TUPLE
#define MOBILESDKPRIVATE_COMMON_TUPLE

// ==================================================================================
// Mobile SDK internal stuff
#ifdef MSDK_BUILD_LIB

	namespace MobileSDKAPI
	{
		class UbiNothing{};

		template <class T1, class T2, class T3 = UbiNothing, class T4 = UbiNothing, class T5 = UbiNothing> struct Tuple
		{
			typedef T1 first_type;
			typedef T2 second_type;
			typedef T3 third_type;
			typedef T4 fourth_type;
			typedef T5 fith_type;

			T1 p1;
			T2 p2;
			T3 p3;
			T4 p4;
			T5 p5;
			Tuple() : p1(T1()), p2(T2()), p3(T3()), p4(T4()), p5(T5()) {}
			Tuple(const T1& x, const T2& y, const T3& z = UbiNothing(), const T4& k = UbiNothing(), const T5& l = UbiNothing()) : p1(x), p2(y), p3(z), p4(k), p5(l) {}
			//template <class U, class V> pair (const pair<U,V> &p) : first(p.first), second(p.second) { }
		};
	}

#endif
// ==================================================================================

#endif // TUPLE_H
