#ifndef MOBILESDKPRIVATE_COMMON_B64
#define MOBILESDKPRIVATE_COMMON_B64

#include <stddef.h>
#include "MobileSDKprivate/common/Utils.h"

typedef enum MSDK_B64_ALPHABET
{
    MSDK_B64_NORMAL_ALPHABET,
    MSDK_B64_WEBSAFE_ALPHABET,
} MSDK_B64_ALPHABET;

// both of the following functions will allocate memory in the output parameter, so that memory must be freed
char_utf8* b64_encode(const char_utf8* input, msdk_u32 inputLength);

char_utf8* b64_decode(const char_utf8* input, msdk_u32 inputLength,
        msdk_u32* outputLength);

#endif
