#ifndef MOBILESDKPRIVATE_COMMON_DB_ADSDISTRIBUTION
#define MOBILESDKPRIVATE_COMMON_DB_ADSDISTRIBUTION

#include "MobileSDKprivate/common/db/DBTable.h"

class AdsDistribution : public DBTable
{
private:
	msdk_u32	m_id;
	char_utf8*	m_partner;
	char_utf8*	m_location;
	msdk_u32	m_percentage;
public:
	static std::vector<AdsDistribution*>	FindAll();
	static void	DeleteAll();

	bool		Persist();

	inline const char_utf8* GetPartner() { return m_partner; };
	inline const char_utf8* GetLocation() { return m_location; };
	inline msdk_u32 GetId() { return m_id; };
	inline msdk_u32 GetPercentage() { return m_percentage; };

	inline void SetPartner(char_utf8* value) { m_partner = value; };
	inline void SetLocation(char_utf8* value) { m_location = value; };
	inline void SetPercent(msdk_u32 value) { m_percentage = value; };
};

#endif // MOBILESDKAPI_ADS_DISTRIBUTION_H_
