#ifndef MOBILESDKPRIVATE_COMMON_HTTP_CURLHTTP
#define MOBILESDKPRIVATE_COMMON_HTTP_CURLHTTP

#include "MobileSDKprivate/common/http/HttpInterface.h"

void	Curl_Init();
void	Curl_UnInit();

void 	Curl_SetRawData(struct msdk_HttpInterface*, const char_utf8* data, bool copyData);
void	Curl_AddHeader(struct msdk_HttpInterface*, const char_utf8* p_value);
void	Curl_AddParameter(struct msdk_HttpInterface*, const char_utf8* p_key, const char_utf8* p_value);
void	Curl_Start(struct msdk_HttpInterface*);
struct	msdk_HttpInterface*	Curl_CreateInstance();
void	Curl_DestroyInstance(struct msdk_HttpInterface*);

#endif // MOBILE_SDK_API_CURLHTTP_H
