#ifndef MOBILESDKPRIVATE_SOCIAL_COMMUNICATION_NOTIFICATION
#define MOBILESDKPRIVATE_SOCIAL_COMMUNICATION_NOTIFICATION
	#include "MobileSDK/social/communication/Notification.h"

	#include "MobileSDKprivate/common/Utils.h"

#ifdef MSDK_BUILD_LIB
	///
	/// Initialize the notification interfaces to use
	///
	void Notification_Init();
#endif

#ifdef __cplusplus
extern "C"
{
#endif


	#ifdef MSDK_BUILD_LIB
		typedef struct msdk_LocalNotificationInfos
		{
			char_utf8*              body;
	        char_utf8*              date; // format: yyyy-mm-dd hh:mm:ss
	        msdk_u32                time; // In seconds
	        msdk_CalendarUnit       repeatInterval;
	        char_utf8*              icon;
	        char_utf8*              sound;
	        msdk_s8                 isDisplayed;
	        char_utf8*              title;
	        char_utf8*				ticker; // For android
	        charCharMap             keyValues;
	        void*                   ptr;

	        // needed to call the constructor of charcharMap
	        msdk_LocalNotificationInfos()
	        {

	        }
		}msdk_LocalNotificationInfos;

	    const char_utf8* Notification_GetToken();
	#endif

    /*typedef struct msdk_LocalNotification
    {
#ifdef MSDK_BUILD_LIB
		msdk_LocalNotificationInfos* infos;
#else
		void* internalData;
#endif
    }msdk_LocalNotification;
	*/

#ifdef __cplusplus
}
#endif

#endif
