#ifndef MOBILESDKPRIVATE_SOCIAL_INTERFACE_ACHIEVEMENT_INTERFACE
#define MOBILESDKPRIVATE_SOCIAL_INTERFACE_ACHIEVEMENT_INTERFACE

#include "MobileSDKprivate/common/Utils.h"
#include "MobileSDKprivate/social/UserAchievement.h"

typedef struct msdk_AchievementInterface
{
	msdk_s8		(*CallUpdateAchievement)(const msdk_UserAchievement* p_achievement);
	msdk_Status (*StatusUpdateAchievement)(msdk_s8);
	msdk_Result (*ResultUpdateAchievement)(msdk_s8);
	void		(*ReleaseUpdateAchievement)(msdk_s8);

	void		(*CallUserAchievements)();
	void		(*CallGameAchievements)();
	void		(*CallFriendsAchievements)(const Array_msdk_UserInfo* p_userInfo);
	msdk_Status (*StatusAchievements)();
	Array_msdk_UserAchievement* (*ResultAchievements)();
	void		(*ReleaseAchievements)();

	void		(*CallNativeInterface)();
	msdk_Status	(*StatusNativeInterface)();
	msdk_Result	(*ResultNativeInterface)();
	void		(*ReleaseNativeInterface)();

	void		(*ShowCompletionBanner)(char p_isShown);
    void		(*ResetAchievements)();
}msdk_AchievementInterface;

#endif //MOBILE_SDK_ACHIEVEMENT_INTERFACE_H
