#ifndef MOBILESDKPRIVATE_SOCIAL_INTERFACE_LEADERBOARD_INTERFACE
#define MOBILESDKPRIVATE_SOCIAL_INTERFACE_LEADERBOARD_INTERFACE

#include "MobileSDKprivate/common/Utils.h"
#include "MobileSDKprivate/social/UserAchievement.h"
#include "MobileSDKprivate/social/Leaderboard.h"

typedef struct msdk_LeaderboardInterface
{
	msdk_s8		(*CallPublishScore)(const char_utf8* p_leaderBoardId, const char_utf8* p_value);
	msdk_Status (*StatusPublishScore)(msdk_s8);
	msdk_Result (*ResultPublishScore)(msdk_s8);
	void		(*ReleasePublishScore)(msdk_s8);

	void		(*CallScoresList)(msdk_RequestScope p_scope, const char_utf8* p_leaderBoardId, msdk_u32 p_location, msdk_u32 p_length, const msdk_TimeScope p_timescope);
	void		(*CallSurroundingScoresList)(msdk_RequestScope p_scope, const char_utf8* p_leaderBoardId, msdk_u32 p_scoresNumber, const msdk_TimeScope p_timescope);
	msdk_Status (*StatusScoresList)();
	Array_msdk_Score* 	(*ResultScoresList)();
	void 		(*ReleaseScoresList)();

    msdk_Result (*ShowNativeInterface)(const char_utf8* p_leaderbaordId);
}msdk_LeaderboardInterface;

#endif //MOBILE_SDK_LEADERBOARD_INTERFACE_H
