#ifndef MOBILESDKAPI_HOUSTON_KEYS_H_
#define MOBILESDKAPI_HOUSTON_KEYS_H_

#include "MobileSDK/common/Utils.h"

#ifdef __cplusplus
extern "C"
{
#endif
    
	///
	///	Gets the value mapped to the key from Houston product keys. The specifics of the environment switcher are also accessible trough this function
	/// @param p_key The key
	/// @result The value as a string, NULL if key does not exist
	///
	const char_utf8*	HoustonKeys_Get(const char_utf8* p_key);
    
#ifdef __cplusplus
}
#endif

#endif //MOBILESDKAPI_HOUSTON_KEYS_H_
