#ifndef MOBILESDKPRIVATE_AD_AD
#define MOBILESDKPRIVATE_AD_AD
	#include "MobileSDK/ad/Ad.h"


	#include "MobileSDKprivate/common/Init.h"

//==========================================================================================
#ifdef MSDK_BUILD_LIB

	#include "MobileSDKprivate/common/RequestPool.h"

	typedef struct msdk_InitParamTapjoy
	{
		const char_utf8* appId;
		const char_utf8* secretKey;
		std::list<std::pair<const char_utf8*, const char_utf8*> >& flags;
	}msdk_InitParamTapjoy;

	typedef struct msdk_AdsConfig
	{
		const char_utf8*	campaignName;
		float				adFreeAmountThreshold;
		msdk_u32			adFreeAmountAvailability;
		msdk_u32			adFreeDisplayThreshold;
		msdk_u32			adFreeDisplayAvailability;
		msdk_u32			interstitialMinDelay;
		msdk_u32			bannerRotationRate;
		float				bannerFadeIoRate;
		std::vector<const char_utf8*>	adsProviders;
		std::map<char_utf8*, msdk_u32, CharCompFunctor>	bannerDistribution;
		std::map<char_utf8*, msdk_u32, CharCompFunctor>	interstitialDistribution;
		std::map<char_utf8*, msdk_u32, CharCompFunctor>	offerwallDistribution;
		std::map<char_utf8*, msdk_u32, CharCompFunctor>	videoDistribution;
	}msdk_AdsConfig;


	void	Ad_UpdateVirtualCurrency(msdk_s8 p_requestId, Array_msdk_VirtualCurrency* p_currencies);
	void	Ad_Release();

#endif
//==========================================================================================


#endif
