#ifndef MOBILESDKPRIVATE_AD_FLURRYAD
#define MOBILESDKPRIVATE_AD_FLURRYAD

#include "MobileSDKprivate/ad/AdInterface.h"
#include "MobileSDKprivate/common/MemManager.h"

extern std::map<const char_utf8*, msdk_s8, CharCompFunctor>	e_flurryAdSpaces;

void Flurry_Init();
void Flurry_CallPreload(struct msdk_AdInterface* p_ad);
void Flurry_Display(struct msdk_AdInterface* p_ad);
void Flurry_Visibility(struct msdk_AdInterface p_ad, char p_visibility);
void Flurry_Delete(struct msdk_AdInterface* p_ad);
struct msdk_AdInterface* Flurry_CreateInstance();
void Flurry_DestroyInstance(struct msdk_AdInterface* p_ad);

#endif //MOBILE_SDK_API_FLURRY_AD_H_
