#ifndef MOBILESDKPRIVATE_COMMON_ASSERT
#define MOBILESDKPRIVATE_COMMON_ASSERT

#include "MobileSDKprivate/common/Logging.h"

#ifdef MSDK_BUILD_DEBUG
#define MSDK_ASSERT(cond, ...) \
do \
{ \
	if(!(cond))\
	{ \
		Common_Log(MSDK_LOG_ERR, __VA_ARGS__); \
		abort(); \
	} \
} while(0)
#else
#define MSDK_ASSERT(cond, ...) \
do \
{ \
	if(!(cond))\
	{ \
		Common_Log(MSDK_LOG_ERR, __VA_ARGS__); \
	}\
} while(0)
#endif

#endif //MOBILESDK_ASSERT_H_
