#ifndef MOBILESDKPRIVATE_COMMON_DB_DBTABLE
#define MOBILESDKPRIVATE_COMMON_DB_DBTABLE

#include "MobileSDKprivate/common/Utils.h"

typedef enum msdk_DBMode
{
	MSDK_DB_READONLY,
	MSDK_DB_WRITE
}msdk_DBMode;

class DBTable
{
protected:
	const char_utf8* m_name;
	msdk_DBMode		 m_mode;
	inline virtual void SetName(const char_utf8* p_name) { m_name = p_name; };
	inline virtual void SetMode(msdk_DBMode p_mode) { m_mode = p_mode; };
	inline const char_utf8* GetName() { return m_name; };
	inline msdk_DBMode GetMode() { return m_mode; };
public:
    inline virtual bool Persist() { return true; };
};

#endif // MOBILESDK_API_DBTABLE_H_
