#ifndef MOBILESDKPRIVATE_COMMON_DB_DBUTILS
#define MOBILESDKPRIVATE_COMMON_DB_DBUTILS

#include "MobileSDKprivate/common/Utils.h"
#include "MobileSDKprivate/common/MemManager.h"

void ParseFeedArgs(const char_utf8* p_str, std::map<char_utf8*, char_utf8*, CharCompFunctor>& p_map);
void ParseDBGettings(const char_utf8* p_str, std::map<msdk_u32, msdk_u32>& p_map);
void ParsePromoItems(const char_utf8* p_str, std::vector<msdk_u32>& p_vector);
void ParseCategoryTags(const char_utf8* p_str, std::vector<msdk_u32>& p_vector);
char_utf8*  msdk_EscapeString(const char_utf8*);
#endif
