#ifndef MOBILESDKPRIVATE_COMMON_HTTP_NATIVEHTTP
#define MOBILESDKPRIVATE_COMMON_HTTP_NATIVEHTTP

#include "MobileSDKprivate/common/http/HttpInterface.h"

void	NativeHttp_Init();
void	NativeHttp_UnInit();

void 	NativeHttp_SetRawData(struct msdk_HttpInterface*, const char_utf8* data, bool copyData);
void	NativeHttp_AddHeader(struct msdk_HttpInterface*, const char_utf8* p_value);
void	NativeHttp_AddParameter(struct msdk_HttpInterface*, const char_utf8* p_key, const char_utf8* p_value);
void	NativeHttp_Start(struct msdk_HttpInterface*);
struct	msdk_HttpInterface*	NativeHttp_CreateInstance();
void	NativeHttp_DestroyInstance(struct msdk_HttpInterface*);

#endif // MOBILESDKPRIVATE_COMMON_HTTP_NATIVEHTTP
