#ifndef MOBILESDKPRIVATE_SOCIAL_COMMUNICATION_NOTIFICATIONINTERFACE
#define MOBILESDKPRIVATE_SOCIAL_COMMUNICATION_NOTIFICATIONINTERFACE

#include "MobileSDKprivate/common/Utils.h"
#include "MobileSDKprivate/social/communication/Notification.h"

typedef struct msdk_NotificationInterface
{
    void 		(*Notification_Register)	();
	void 		(*Notification_RegisterForPush)	();
    void        (*Notification_RegisterPushCallback)(Notification_PushCallback);
    msdk_s8     (*Notification_IsRegisteredForPush)();
    const char_utf8* (*Notification_GetToken)();

    void        (*Notification_ScheduleLocal)(msdk_LocalNotification*);
    Array_msdk_LocalNotification*   (*Notification_GetScheduled)();
    msdk_s8        (*Notification_Cancel) (msdk_LocalNotification*);
    void        (*Notification_CancelAllLocals)();
}msdk_NotificationInterface;

#endif
