#ifndef MOBILESDKPRIVATE_SOCIAL_INTERFACE_CONNECTION_INTERFACE
#define MOBILESDKPRIVATE_SOCIAL_INTERFACE_CONNECTION_INTERFACE

#include "MobileSDKprivate/common/Utils.h"
#include "MobileSDKprivate/social/UserInfo.h"

typedef struct msdk_ConnectionInterface
{
	void 		(*CallConnection) 		();
	msdk_Status (*StatusConnection) 	();
	msdk_Result (*ResultConnection) 	();
	void 		(*ReleaseConnection) 	();

	void 		(*CallAutoConnection) 	();
	msdk_Status (*StatusAutoConnection) ();
	msdk_Result (*ResultAutoConnection) ();
	void 		(*ReleaseAutoConnection)();

    msdk_s8 	(*IsConnected)          ();
	const msdk_UserInfo* (*GetMyInfo) 	();

	void (*Logout) ();

    PointerArray_char_utf8* (*GetUserPermissions)();

}msdk_ConnectionInterface;

#endif //MOBILE_SDK_CONNECTION_INTERFACE_H
