#ifndef MOBILESDKPRIVATE_SOCIAL_INTERFACE_SOCIAL_INTERFACE
#define MOBILESDKPRIVATE_SOCIAL_INTERFACE_SOCIAL_INTERFACE

#include "MobileSDKprivate/social/interface/Connection_Interface.h"
#include "MobileSDKprivate/social/interface/Friends_Interface.h"
#include "MobileSDKprivate/social/interface/Achievement_Interface.h"
#include "MobileSDKprivate/social/interface/Communication_Interface.h"
#include "MobileSDKprivate/social/interface/Leaderboard_Interface.h"

typedef struct msdk_SocialNetwork
{
	msdk_ConnectionInterface*		connectionInterface;
	msdk_FriendsInterface*			friendsInterface;
	msdk_AchievementInterface*		achievementInterface;
	msdk_CommunicationInterface*	communicationInterface;
	msdk_LeaderboardInterface*		leaderboardInterface;
}msdk_SocialNetwork;

#endif //MOBILE_SDK_SOCIAL_INTERFACE_H
